Subject: clarify which fields are signed int and which ones are unsigned

From: PG Doc comments form <[email-masked]>
Date: Tue, 10 Dec 2024 11:57:07 +0000

The following documentation comment has been logged on the website:

Page: https://www.postgresql.org/docs/17/protocol-message-formats.html
Description:

I don't see it clearly stated which Int fields are signed and which are
unsigned. If it can be assumed that Int is signed and Byte is unsigned then
the object id fields are wrong because they should be unsigned.